#
# Conditional build:
%bcond_without	doc	# don't build doc
%bcond_without	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module	wtforms
Summary:	A flexible forms validation and rendering library for Python 2 web development
Summary(pl.UTF-8):	Elastyczna biblioteka do generowania i walidacji formularzy WWW w Pythonie 2
Name:		python-%{module}
Version:	2.2.1
Release:	1
License:	BSD
Group:		Development/Languages/Python
#Source0Download: https://pypi.org/simple/wtforms/
Source0:	https://github.com/wtforms/wtforms/archive/%{version}/%{module}-%{version}.tar.gz
# Source0-md5:	b43b08c4fc5c8f9fc1b980e939a71811
URL:		http://wtforms.simplecodes.com/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	unzip
%if %{with python2}
BuildRequires:	python-modules >= 1:2.6
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-babel >= 1.3
%if %(test -f %{py_sitescriptdir}/babel/locale-data/de_CH.dat; echo $?)
BuildRequires:	python-babel(with_locale:de_CH)
%endif
%if %(test -f %{py_sitescriptdir}/babel/locale-data/de_DE.dat; echo $?)
BuildRequires:	python-babel(with_locale:de_DE)
%endif
%if %(test -f %{py_sitescriptdir}/babel/locale-data/es_ES.dat; echo $?)
BuildRequires:	python-babel(with_locale:es_ES)
%endif
%if %(test -f %{py_sitescriptdir}/babel/locale-data/en_US.dat; echo $?)
BuildRequires:	python-babel(with_locale:en_US)
%endif
%if %(test -f %{py_sitescriptdir}/babel/locale-data/hi_IN.dat; echo $?)
BuildRequires:	python-babel(with_locale:hi_IN)
%endif
BuildRequires:	python-sqlalchemy
%if "%{py_ver}" < "2.7"
BuildRequires:	python-ordereddict
%endif
%endif
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.3
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-babel >= 1.3
%if %(test -f %{py3_sitescriptdir}/babel/locale-data/de_CH.dat; echo $?)
BuildRequires:	python3-babel(with_locale:de_CH)
%endif
%if %(test -f %{py3_sitescriptdir}/babel/locale-data/de_DE.dat; echo $?)
BuildRequires:	python3-babel(with_locale:de_DE)
%endif
%if %(test -f %{py3_sitescriptdir}/babel/locale-data/es_ES.dat; echo $?)
BuildRequires:	python3-babel(with_locale:es_ES)
%endif
%if %(test -f %{py3_sitescriptdir}/babel/locale-data/en_US.dat; echo $?)
BuildRequires:	python3-babel(with_locale:en_US)
%endif
%if %(test -f %{py3_sitescriptdir}/babel/locale-data/hi_IN.dat; echo $?)
BuildRequires:	python3-babel(with_locale:hi_IN)
%endif
BuildRequires:	python3-sqlalchemy
BuildRequires:	%{py3_sitescriptdir}/babel/locale-data/de_CH.dat
BuildRequires:	%{py3_sitescriptdir}/babel/locale-data/de_DE.dat
BuildRequires:	%{py3_sitescriptdir}/babel/locale-data/es_ES.dat
BuildRequires:	%{py3_sitescriptdir}/babel/locale-data/hi_IN.dat
%endif
%endif
Requires:	python-modules >= 1:2.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A flexible forms validation and rendering library for Python web
development.

%description -l pl.UTF-8
Elastyczna biblioteka do skadania i kontroli poprawności formularzy
WWW w Pythonie.

%package -n python3-%{module}
Summary:	A flexible forms validation and rendering library for Python 3 web development
Summary(pl.UTF-8):	Elastyczna biblioteka do generowania i walidacji formularzy WWW w Pythonie 3
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.3

%description -n python3-%{module}
A flexible forms validation and rendering library for python web
development.

%description -n python3-%{module} -l pl.UTF-8
Elastyczna biblioteka do skadania i kontroli poprawności formularzy
WWW w Pythonie.

%package apidocs
Summary:	API documentation for Python WTForms module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona WTForms
Group:		Documentation

%description apidocs
API documentation for Python WTForms module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona WTForms.

%prep
%setup -q -n %{module}-%{version}

# disable failing test
%{__sed} -i "/OPTIONAL_TESTS/ s/'ext_django\.tests', //" tests/runtests.py

%build
%if %{with python2}
%py_build

%if %{with tests}
%{__python} tests/runtests.py
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
%{__python3} tests/runtests.py
%endif
%endif

%if %{with doc}
%{__make} -C docs -j1 html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS.rst CHANGES.rst LICENSE.rst README.rst
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/WTForms-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc AUTHORS.rst CHANGES.rst LICENSE.rst README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/WTForms-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Mon Nov 04 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-wtforms.git;a=log;h=master

* Mon Nov 04 2019 Jan Rękorajski <baggins@pld-linux.org> 03025a2
- updated files

* Mon Nov 04 2019 Jan Rękorajski <baggins@pld-linux.org> cf6b6e6
- up to 2.2.1

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 1e99814
- rebuild with python 3.8
- release 3 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 04465fb
- release 2 (by relup.sh)

* Tue May 29 2018 Jakub Bogusz <qboosh@pld-linux.org> 27c5a0a
- updated to 2.1
- added tests patch

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> d12f343
- python 3.6
- release 7 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 81c0553
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 66b7ae3
- release 6 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 583220b
- automatic change: use py_build/py_install macros

* Tue Sep 15 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d4dd79
- rel 5; BR python-sqlalchemy for tests

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 309ed06
- python3.5 rebuild
- release 4 (by relup.sh)

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> fe9a156
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 21db80c
- python 3.4
- release 2 (by relup.sh)

* Mon Oct 13 2014 Mateusz Korniak <matkor@pld-linux.org> e6b6a62
- Version 2.0.1.

* Wed Aug 08 2012 Mateusz Korniak <matkor@pld-linux.org> 6852d03
- Release 1. Lukasz Gabrych tested it to work. Translations added.

* Fri Apr 06 2012 Elan Ruusamäe <glen@pld-linux.org> 5fc545d
- cleanup

* Fri Apr 06 2012 zbyniu <zbyniu@pld-linux.org> 2bed260
- new

